Page MenuHomePhabricator

[AMDGPU] Combine and x, (sext cc from i1) => select cc, x, 0
ClosedPublic

Authored by rampitec on Jun 21 2017, 11:10 PM.

Details

Summary

Also factored out function to check if a boolean is an already
deserialized value which does not require v_cndmask_b32 to be
loaded. Added binary logical operators to its check.

Diff Detail

Repository
rL LLVM

Event Timeline

rampitec created this revision.Jun 21 2017, 11:10 PM
rampitec updated this revision to Diff 103650.Jun 22 2017, 3:03 PM
rampitec retitled this revision from [AMDGPU] Combine and x, (sext cc from i1) => select cc, 0, x to [AMDGPU] Combine and x, (sext cc from i1) => select cc, x, 0.

Fixed operand order

rampitec updated this revision to Diff 103681.Jun 22 2017, 6:35 PM

Renamed function.

vpykhtin accepted this revision.Jun 27 2017, 3:03 AM

LGTM.

This revision is now accepted and ready to land.Jun 27 2017, 3:03 AM
This revision was automatically updated to reflect the committed changes.